/usr/bin/equo: line 4: 5936 Segmentation fault [Solved]

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

/usr/bin/equo: line 4: 5936 Segmentation fault [Solved]

Postby joe3 » Sat Feb 21, 2009 21:02

I was going to add a package or two today to my 32 bit Sabayon 3.5...

I started with equo update which told me to install new equo/entropy...
equo search gave me the current package name, but the process of:
equo --ask install app-admin/equo-0.51.0
led to a Segmentation fault...

Now I'm afraid to equo anything!

I've attached the screen output leading to the Segmentation fault error message.

Can sombody tell me how to fix this?

equoERR.txt


Thanks
--
Joe3
joe3
Advanced Hen
 
Posts: 200
Joined: Sun May 06, 2007 21:28

Re: /usr/bin/equo: line 4: 5936 Segmentation fault

Postby joe3 » Mon Feb 23, 2009 1:52

Well I found a solution (of sorts) but It was a *_LOT_* more work than it should have been. On this particular Sabayon installation I've been trying to use only equo for all package handling. Excepting Only those few things that are not found by an:

equo search $packagename

But are installable via:

emerge $packagename

Such as the pine email client. (I do wish either entropy or portage would have an alpine package, but pine will do...)

But since equo wasn't able to install it's own upgrade due to some problem with the required sqlite package I decided to see what I could break with emerge. (trust me I can break things with much less powerful tools than emerge... That's why I use equo...)

I reviewed my notes from before I discovered equo and started with an:

emerge --sync && layman -S

Then I moved on to an:

emerge -ad equo

Which if you look in the attached
emerge-equoERR.txt
file you can see, complained that:

there are no ebuilds built with USE flags to satisfy "dev-db/sqlite[soundex]".

II wonder if that's why equo was winding up with a seg fault???

Anyway I decided to see if I could figure out how to use emerge to force the version of sqlite equo wanted to be compiled with the USE flag for soundx. ( This is the very first time I did ANYTHING with a use flag mind you. I was nervous when I did the:

env USE='soundex' emerge -av '=dev-db/sqlite-3.6.10'

And "THAT" command took me over an hour to figure out from the 'man emerge' documentation. )

Then, with the problematic dependency resolved I returned to using equo... Trouble was equo didn't recognize that emerge had updated sqlite. That is "equo --ask install app-admin/equo-0.51.0" kept saying:

>> @@ These are the packages that would be merged:
>> ## [U] [sabayonlinux.org] dev-db/sqlite-3.6.10|0 [3.5.9|0]

Which would have led me right back into the segmentation fault. So I poured over the sparse {but well formed} documentation in 'equo --help' and tried. 'equo update --force' When that didn't help I tried 'equo database check'. And then with disparate determination I risked:

equo database generate

After a considerable delay I wisely decided that it wouldn't hurt to do another 'equo database check' Which said:

>> * ATTENTION: forcing packages metadata update. Updating system database using repository id sabayonlinux.org
>> * SPM: Running fixpackages, it could take a while.

#########################

>> * ENTROPY: action: move dev-perl/module-build perl-core/Module-Build.
>> * ENTROPY: action: move dev-perl/ExtUtils-CBuilder perl-core/ExtUtils-CBuilder.
>> * ENTROPY: action: move dev-perl/Archive-Tar perl-core/Archive-Tar.
>> * ENTROPY: action: move dev-perl/Compress-Zlib perl-core/Compress-Zlib.
>> * ENTROPY: action: move dev-perl/IO-Zlib perl-core/IO-Zlib.

before it started the sanity check...

Then, FINALLY I was able to:

equo --ask install app-admin/equo-0.51.0

I think this is why people get into trouble when they mix equo an emerge too much...

Thanks for listening.
--
Joe3
joe3
Advanced Hen
 
Posts: 200
Joined: Sun May 06, 2007 21:28

Re: /usr/bin/equo: line 4: 5936 Segmentation fault

Postby Thev00d00 » Mon Feb 23, 2009 9:37

This isnt the place for bugs mate, thats what we have a bugzilla for
Image
Please report Bugs on the Bugzilla, not forum
Please Adopt an Unanswered thread
Website / Blog : v00d00.net
twitter: Follow Me
G+: Circle Me
Thev00d00
Generally Awesome (tm)
 
Posts: 1472
Joined: Wed Feb 21, 2007 15:52
Location: United Kingdom

Re: /usr/bin/equo: line 4: 5936 Segmentation fault

Postby joe3 » Mon Feb 23, 2009 23:07

Thev00d00 wrote:This isnt the place for bugs mate, thats what we have a bugzilla for


Perhaps not. But when I first posted, it was a plea for help. But That didn't mean I was going to just sit and twiddle my thumbs waiting for someone else to solve my problem. This time I got a clue, got brave, AND got lucky in that it solved the problem. Then having posted a problem, I thought I should also post that it wasn't a problem anymore... Which quite naturaly led to the details of what I did to fix it...

Still ONE instance of a problem does not a bug make. Or does it??

If I found out that others were having simular problems, or if it happens to me again, I'd maybe ask how to file a bug report.

--
joe3
joe3
Advanced Hen
 
Posts: 200
Joined: Sun May 06, 2007 21:28

Re: /usr/bin/equo: line 4: 5936 Segmentation fault [Solved]

Postby bakters » Wed May 06, 2009 16:21

I run into the same problem. Your solution didn't work, because equo was not able to run equo database gentoosync (which I believe you should do, instead of rebuilding the whole database). When I tried to force entropy and equo update with --nodeps option, equo started to crash. I emerged entropy and equo (which means much newer versions) and the problems did not appear any more, which I assume means the bugs are already fixed.

What can I say? It feels bloody well. Somebody reads bugreports and fixes bugs obviously. Good work devs!

BTW - equo is the funniest program I ever used. Tech used to be funny too, but I didn't use it much. Anyway, equo/entropy package is what keeps me with sabayon.
bakters
Young Hen
 
Posts: 23
Joined: Thu Jan 24, 2008 16:37

Re: /usr/bin/equo: line 4: 5936 Segmentation fault [Solved]

Postby Thev00d00 » Wed May 06, 2009 16:35

I do wish either entropy or portage would have an alpine package, but pine will do...)

put in a package request for alpine on the bugzilla, you may get lucky :wink:

What can I say? It feels bloody well. Somebody reads bugreports and fixes bugs obviously. Good work devs!

BTW - equo is the funniest program I ever used. Tech used to be funny too, but I didn't use it much. Anyway, equo/entropy package is what keeps me with sabayon.

Lxnay is a hard worker, the latest version of entropy has major work and is much more stable imho
Image
Please report Bugs on the Bugzilla, not forum
Please Adopt an Unanswered thread
Website / Blog : v00d00.net
twitter: Follow Me
G+: Circle Me
Thev00d00
Generally Awesome (tm)
 
Posts: 1472
Joined: Wed Feb 21, 2007 15:52
Location: United Kingdom


Return to Entropy|Equo|Rigo Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest

cron